Imported cb2bib-1.3.2

Summary: Imported cb2bib-1.3.2
Keywords:

Imported cb2bib-1.3.2
into Git repository
parent 6a86ee9d
This diff is collapsed.
......@@ -4,9 +4,17 @@
# cb2Bib Tools
# Copyright (C) 2004-2009 by Pere Constans
# constans@molspaces.com
# See the LICENSE file that comes with this distribution
#
# Usage: c2bciter [BibTeX file or directory]
# Copyright (C) 2009 by Filippo Rusconi
# rusconi@mnhn.fr
#
# June 2009:
# - Make use of the "$@" argument instead of problematic "$1".
#
# See the LICENSE file that comes with this distribution
#-------------------------------------------------------------------------------
# Usage: c2bciter [dirname1 [dirname2 ... ]]
# c2bciter [filename1.bib [filename2.bib ... ]]
#-------------------------------------------------------------------------------
cb2bib --citer $1
cb2bib --citer "$@"
......@@ -4,8 +4,15 @@
# cb2Bib Tools
# Copyright (C) 2004-2009 by Pere Constans
# constans@molspaces.com
# See the LICENSE file that comes with this distribution
#
# Copyright (C) 2009 by Filippo Rusconi
# rusconi@mnhn.fr
#
# June 2009:
# - Make use of quoted "$1" argument instead of $1.
#
# See the LICENSE file that comes with this distribution
#-------------------------------------------------------------------------------
# Usage: c2bimport tmp_imported_reference_file
#-------------------------------------------------------------------------------
......@@ -17,4 +24,4 @@ EOF
exit 2
fi
cb2bib --import $1
cb2bib --import "$1"
[Desktop Entry]
Comment=Donwload reference to cb2Bib
Comment[ca]=Exporta referències al cb2Bib
Comment[ca]=Importa referència al cb2Bib
Exec=cb2bib --import %f
GenericName=Reference Extracting Tool
GenericName[ca]=Eina per extreure referències
GenericName=cb2Bib Import Reference
GenericName[ca]=Importa referència al cb2Bib
Icon=cb2bib
MimeType=text/x-bibtex;application/x-download;application/bibtex;
Name=c2bImport
......
......@@ -5,9 +5,16 @@
#
# Copyright (C) 2005-2009 by Pere Constans
# constans@molspaces.com
#
# Improvements and modifications:
# Copyright (C) 2009 by Filippo Rusconi
# rusconi@mnhn.fr
#
# May/June 2009:
# - Added checks to ensure that the used commands are available on
# system.
# - Make use of mktemp to create a temp directory.
#
# See LICENSE file that comes with this distribution
#
# Usage: bib2pdf input_bib output_pdf
......@@ -24,7 +31,7 @@ bibtexCmd=bibtex
#-------------------------------------------------------------------------------
# Immediately check that the needed programs are there:
${latexCmd} --version > /dev/null 2>&1
"${latexCmd}" --version > /dev/null 2>&1
if [ "$?" != "0" ]
then
......@@ -33,7 +40,7 @@ then
exit 1
fi
${bibtexCmd} --version > /dev/null 2>&1
"${bibtexCmd}" --version > /dev/null 2>&1
if [ "$?" != "0" ]
then
......@@ -46,7 +53,7 @@ fi
if [ "x${dvi2pdfCmd}" != "x" ]
then
${dvi2pdfCmd} --version | head -n2 | grep dvipdfm > /dev/null 2>&1
"${dvi2pdfCmd}" --version | head -n2 | grep dvipdfm > /dev/null 2>&1
if [ "$?" != "0" ]
then
echo "Program ${dvi2pdfCmd} (LaTeX software) is required."
......@@ -74,16 +81,16 @@ fi
# directory.
latex_flags="-interaction=nonstopmode"
# Note that we use the mktemp utility that ensures that
# we do not overwrite any preexisting directory
tmp_dir=$(mktemp -d -p /tmp c2b_tools_tmp.XXXXXXXX)
# we do not overwrite any preexisting directory.
tmp_dir=$(mktemp --tempdir c2b_tools_tmp.XXXXXXXX)
# Setting files
bib=$1
pdf=$2
work_dir=$PWD
bib="$1"
pdf="$2"
work_dir="$PWD"
cat > $tmp_dir/c2b_tmp.tex <<EOF
cat > "${tmp_dir}"/c2b_tmp.tex <<EOF
\documentclass[a4paper,10pt]{article}
%\documentclass[letterpaper,10pt]{article}
\pagenumbering{roman}
......@@ -104,26 +111,26 @@ cat > $tmp_dir/c2b_tmp.tex <<EOF
\end{document}
EOF
cp "$bib" $tmp_dir/c2b_tmp.bib
cp "$bib" "${tmp_dir}"/c2b_tmp.bib
# LaTeX procedure (Modify accordingly)
cd $tmp_dir
cd "${tmp_dir}"
# There might be bibliography errors, do not stop.
set +e
${latexCmd} $latex_flags c2b_tmp >& /dev/null
${bibtexCmd} c2b_tmp
${latexCmd} $latex_flags c2b_tmp >& /dev/null
${latexCmd} $latex_flags c2b_tmp
"${latexCmd}" $latex_flags c2b_tmp >& /dev/null
"${bibtexCmd}" c2b_tmp
"${latexCmd}" $latex_flags c2b_tmp >& /dev/null
"${latexCmd}" $latex_flags c2b_tmp
if [ "x${dvi2pdfCmd}" != "x" ]
then
${dvi2pdfCmd} c2b_tmp >& /dev/null
"${dvi2pdfCmd}" c2b_tmp >& /dev/null
fi
# Make sure we trap errors.
set -e
# Clean up
cd $work_dir
cp $tmp_dir/c2b_tmp.pdf "$pdf"
rm -rf $tmp_dir
cd "${work_dir}"
cp "${tmp_dir}"/c2b_tmp.pdf "$pdf"
rm -rf "${tmp_dir}"
echo "$0 ended."
......@@ -5,9 +5,16 @@
#
# Copyright (C) 2005-2009 by Pere Constans
# constans@molspaces.com
#
# Improvements and modifications:
# Copyright (C) 2009 by Filippo Rusconi
# rusconi@mnhn.fr
#
# May/June 2009:
# - Added checks to ensure that the used commands are available on
# system.
# - Make use of mktemp to create a temp directory.
#
# See LICENSE file that comes with this distribution
#
# Usage: isi2bib input_isi output_bib
......@@ -29,7 +36,7 @@ xml2bib_flags="-sd -b"
#-------------------------------------------------------------------------------
# Immediately check that the needed programs are there:
$isi2xml --version > /dev/null 2>&1
"${isi2xml}" --version > /dev/null 2>&1
if [ "$?" != "0" ]
then
......@@ -39,7 +46,7 @@ then
exit 1
fi
$xml2bib --version > /dev/null 2>&1
"${xml2bib}" --version > /dev/null 2>&1
if [ "$?" != "0" ]
then
......@@ -69,25 +76,25 @@ fi
# Create temporary directory
# Note that we use the mktemp utility that ensures that
# we do not overwrite any preexisting directory
tmp_dir=$(mktemp -d -p /tmp c2b_tools_tmp.XXXXXXXX)
tmp_dir=$(mktemp --tmpdir c2b_tools_tmp.XXXXXXXX)
# Setting files
isi=$1
bib=$2
work_dir=$PWD
isi="$1"
bib="$2"
work_dir="$PWD"
# Preparing temporary files
cp "$isi" $tmp_dir/c2b_tmp.isi
cp "$isi" $tmp_dir/c2b_tmp.bib
cp "$isi" "${tmp_dir}"/c2b_tmp.isi
cp "$isi" "${tmp_dir}"/c2b_tmp.bib
# bibutils procedure
cd $tmp_dir
$isi2xml $isi2xml_flags c2b_tmp.isi > c2b_tmp.xml
$xml2bib $xml2bib_flags c2b_tmp.xml | sed 's%^ISSUE=%NUMBER=%g' > c2b_tmp.bib
cd "${tmp_dir}"
"${isi2xml}" $isi2xml_flags c2b_tmp.isi > c2b_tmp.xml
"${xml2bib}" $xml2bib_flags c2b_tmp.xml | sed 's%^ISSUE=%NUMBER=%g' > c2b_tmp.bib
# Clean up
cd $work_dir
cp $tmp_dir/c2b_tmp.bib "$bib"
rm -rf $tmp_dir
cd "${work_dir}"
cp "${tmp_dir}"/c2b_tmp.bib "$bib"
rm -rf "${tmp_dir}"
echo ""
echo "$0 ended."
......@@ -5,9 +5,11 @@
#
# Copyright (C) 2009 by Filippo Rusconi
# rusconi@mnhn.fr
#
# Based on previous work by
# Pere Constans
# constans@molspaces.com
#
# See LICENSE file that comes with this distribution
#
# Usage: med2bib input_med output_bib
......@@ -29,7 +31,7 @@ xml2bib_flags="-sd -b"
#-------------------------------------------------------------------------------
# Immediately check that the needed programs are there:
$med2xml --version > /dev/null 2>&1
"${med2xml}" --version > /dev/null 2>&1
if [ "$?" != "0" ]
then
......@@ -39,7 +41,7 @@ then
exit 1
fi
$xml2bib --version > /dev/null 2>&1
"${xml2bib}" --version > /dev/null 2>&1
if [ "$?" != "0" ]
then
......@@ -69,25 +71,25 @@ fi
# Create temporary directory
# Note that we use the mktemp utility that ensures that
# we do not overwrite any preexisting directory
tmp_dir=$(mktemp -d -p /tmp c2b_tools_tmp.XXXXXXXX)
tmp_dir=$(mktemp --tmpdir c2b_tools_tmp.XXXXXXXX)
# Setting files
med=$1
bib=$2
work_dir=$PWD
med="$1"
bib="$2"
work_dir="$PWD"
# Preparing temporary files
cp "$med" $tmp_dir/c2b_tmp.med
cp "$med" $tmp_dir/c2b_tmp.bib
cp "$med" "${tmp_dir}"/c2b_tmp.med
cp "$med" "${tmp_dir}"/c2b_tmp.bib
# bibutils procedure
cd $tmp_dir
$med2xml $med2xml_flags c2b_tmp.med > c2b_tmp.xml
$xml2bib $xml2bib_flags c2b_tmp.xml | sed 's%^ISSUE=%NUMBER=%g' > c2b_tmp.bib
cd "${tmp_dir}"
"${med2xml}" $med2xml_flags c2b_tmp.med > c2b_tmp.xml
"${xml2bib}" $xml2bib_flags c2b_tmp.xml | sed 's%^ISSUE=%NUMBER=%g' > c2b_tmp.bib
# Clean up
cd $work_dir
cp $tmp_dir/c2b_tmp.bib "$bib"
rm -rf $tmp_dir
cd "${work_dir}"
cp "${tmp_dir}"/c2b_tmp.bib "$bib"
rm -rf "${tmp_dir}"
echo ""
echo "$0 ended."
......@@ -5,9 +5,16 @@
#
# Copyright (C) 2005-2009 by Pere Constans
# constans@molspaces.com
#
# Improvements and modifications:
# Copyright (C) 2009 by Filippo Rusconi
# rusconi@mnhn.fr
#
# May/June 2009:
# - Added checks to ensure that the used commands are available on
# system.
# - Make use of mktemp to create a temp directory.
#
# See LICENSE file that comes with this distribution
#
# Usage: ris2bib input_ris output_bib
......@@ -29,7 +36,7 @@ xml2bib_flags="-sd -b"
#-------------------------------------------------------------------------------
# Immediately check that the needed programs are there:
$ris2xml --version > /dev/null 2>&1
"${ris2xml}" --version > /dev/null 2>&1
if [ "$?" != "0" ]
then
......@@ -39,7 +46,7 @@ then
exit 1
fi
$xml2bib --version > /dev/null 2>&1
"${xml2bib}" --version > /dev/null 2>&1
if [ "$?" != "0" ]
then
......@@ -69,25 +76,25 @@ fi
# Create temporary directory
# Note that we use the mktemp utility that ensures that
# we do not overwrite any preexisting directory
tmp_dir=$(mktemp -d -p /tmp c2b_tools_tmp.XXXXXXXX)
tmp_dir=$(mktemp --tmpdir c2b_tools_tmp.XXXXXXXX)
# Setting files
ris=$1
bib=$2
work_dir=$PWD
ris="$1"
bib="$2"
work_dir="$PWD"
# Preparing temporary files
cp "$ris" $tmp_dir/c2b_tmp.ris
cp "$ris" $tmp_dir/c2b_tmp.bib
cp "$ris" "${tmp_dir}"/c2b_tmp.ris
cp "$ris" "${tmp_dir}"/c2b_tmp.bib
# bibutils procedure
cd $tmp_dir
$ris2xml $ris2xml_flags c2b_tmp.ris > c2b_tmp.xml
$xml2bib $xml2bib_flags c2b_tmp.xml | sed 's%^ISSUE=%NUMBER=%g' > c2b_tmp.bib
cd "${tmp_dir}"
"${ris2xml}" ${ris2xml_flags} c2b_tmp.ris > c2b_tmp.xml
"${xml2bib}" ${xml2bib_flags} c2b_tmp.xml | sed 's%^ISSUE=%NUMBER=%g' > c2b_tmp.bib
# Clean up
cd $work_dir
cp $tmp_dir/c2b_tmp.bib "$bib"
rm -rf $tmp_dir
cd "${work_dir}"
cp "${tmp_dir}"/c2b_tmp.bib "$bib"
rm -rf "${tmp_dir}"
echo ""
echo "$0 ended."
......@@ -8,6 +8,14 @@
# - Runs qmake
#
#
# Modifications for the cb2Bib Debian distribution package (June 2009)
# by Filippo Rusconi
# Copyright 2009 Filippo Rusconi
#
# - Replace ' ' with ':' along with use of IFS=: as word-splitting
# delimiter for PATH-related tasks (Thanks Lionel Mamane).
#
#------------------------------------------------------------------------------
# ( originally based upon 'shell script to configure doxygen',
# http://www.stack.nl/~dimitri/doxygen/
# Copyright (C) 1997-2001 by Dimitri van Heesch )
......@@ -19,7 +27,6 @@
# See the GNU General Public License for more details
#------------------------------------------------------------------------------
bin_dirs=`echo $PATH | sed -e "s/:/ /g"`
platform=`uname -s`
echo
......@@ -33,14 +40,11 @@ f_icondir=/usr/share/pixmaps
f_qmake=NO
f_make=NO
f_kfmclient=NO
f_pdftotext=NO
f_exiftool=NO
while test -n "$1"; do
case $1 in
--prefix | -prefix)
shift; f_prefix=$1 ; f_bindir=$1/bin ; f_datadir=$1/share/cb2bib ; f_desktopdatadir=$1/share/applications ; f_icondir=$1/share/pixmaps
shift; f_prefix="$1" ; f_bindir=$1/bin ; f_datadir=$1/share/cb2bib ; f_desktopdatadir=$1/share/applications ; f_icondir=$1/share/pixmaps
;;
--bindir | -bindir)
shift; unset f_prefix ; f_bindir=$1
......@@ -154,14 +158,16 @@ echo "Checking for Qt/qmake:"
echo -n "Checking for qmake tool... "
if test "$f_qmake" = NO; then
qmake_name="qmake"
qmake_dirs="/usr/lib64/qt4/bin /usr/lib/qt4/bin /usr/bin /usr/lib/qt/bin /usr/share/qt/bin /Developer/Tools/Qt $bin_dirs"
qmake_dirs="/usr/lib64/qt4/bin:/usr/lib/qt4/bin:/usr/bin:/usr/lib/qt/bin:/usr/share/qt/bin:/Developer/Tools/Qt:$PATH"
qmake_prog=NO
IFS=:
for j in $qmake_dirs; do
if test -x "$j/$qmake_name"; then
qmake_prog="$j/$qmake_name"
break 1
fi
done
unset IFS
f_qmake="$qmake_prog"
fi
if test "$f_qmake" = NO; then
......@@ -186,17 +192,25 @@ echo "Checking for Qt/qmake:"
fi
$f_qmake -v
#------------------------------------------------------------------------------
# Set directories for binaries search
#------------------------------------------------------------------------------
bin_dirs="/usr/bin:/usr/local/bin:/bin:/sbin:$PATH"
#------------------------------------------------------------------------------
# - check for make ------------------------------------------------------------
echo
echo "Checking for additional tools:"
echo -n "Checking for make... "
if test "$f_make" = NO; then
make_names="gmake make"
make_dirs="/usr/bin /usr/local/bin /bin /sbin $bin_dirs"
make_names="gmake:make"
make_prog=NO
IFS=:
for i in $make_names; do
for j in $make_dirs; do
for j in $bin_dirs ; do
if test -x "$j/$i"; then
if test -n "`$j/$i --version 2>/dev/null | grep GNU`"; then
make_prog="$j/$i"
......@@ -205,6 +219,7 @@ if test "$f_make" = NO; then
fi
done
done
unset IFS
f_make="$make_prog"
fi
......@@ -214,74 +229,6 @@ else
echo "not found"
fi
# - check for kfmclient -------------------------------------------------------
echo -n "Checking for kfmclient... "
if test "$f_kfmclient" = NO; then
kfmclient_name="kfmclient"
kfmclient_dirs="/usr/bin /usr/local/bin /bin /sbin $bin_dirs"
kfmclient_prog=NO
for j in $kfmclient_dirs; do
if test -x "$j/$kfmclient_name"; then
if test -n "`$j/$kfmclient_name --version 2>/dev/null | grep KDE`"; then
kfmclient_prog="$j/$kfmclient_name"
break 1
fi
fi
done
f_kfmclient="$kfmclient_prog"
fi
if test "$f_kfmclient" != NO; then
echo "using $f_kfmclient"
else
echo "not found"
fi
# - check for pdftotext -------------------------------------------------------
echo -n "Checking for pdftotext... "
if test "$f_pdftotext" = NO; then
pdftotext_name="pdftotext"
pdftotext_dirs="/usr/bin /usr/local/bin /bin /sbin $bin_dirs"
pdftotext_prog=NO
for j in $pdftotext_dirs; do
if test -x "$j/$pdftotext_name"; then
pdftotext_prog="$j/$pdftotext_name"
break 1
fi
done
f_pdftotext="$pdftotext_prog"
fi
if test "$f_pdftotext" != NO; then
echo "using $f_pdftotext"
else
echo "not found"
fi
# - check for exiftool -------------------------------------------------------
echo -n "Checking for exiftool... "
if test "$f_exiftool" = NO; then
exiftool_name="exiftool"
exiftool_dirs="/usr/bin /usr/local/bin /bin /sbin $bin_dirs"
exiftool_prog=NO
for j in $exiftool_dirs; do
if test -x "$j/$exiftool_name"; then
exiftool_prog="$j/$exiftool_name"
break 1
fi
done
f_exiftool="$exiftool_prog"
fi
if test "$f_exiftool" != NO; then
echo "using $f_exiftool"
else
echo "not found"
fi
#- Setting dirs and start qmake -----------------------------------------------
echo
......@@ -300,32 +247,7 @@ else
sed 's% disable_cbpoll%%g' src/src.pro > tmp.pro
mv -f tmp.pro src/src.pro
fi
sed 's%^const QString C2B_DATA_DIR .*$%const QString C2B_DATA_DIR = "'$f_datadir'/";%g' src/c2b/cb2bib_parameters.h > tmp.par
mv -f tmp.par src/c2b/cb2bib_parameters.h
if test "$f_kfmclient" != NO; then
sed 's%C2B_FM_CLIENT_COPY_BIN = "kfmclient".*$%C2B_FM_CLIENT_COPY_BIN = "'$f_kfmclient'";%g' src/c2b/cb2bib_parameters.h > tmp.par
else
sed 's%C2B_FM_CLIENT_COPY_BIN = "kfmclient".*$%C2B_FM_CLIENT_COPY_BIN = "kfmclient";%g' src/c2b/cb2bib_parameters.h > tmp.par
fi
mv -f tmp.par src/c2b/cb2bib_parameters.h
if test "$f_kfmclient" != NO; then
sed 's%C2B_FM_CLIENT_MOVE_BIN = "kfmclient".*$%C2B_FM_CLIENT_MOVE_BIN = "'$f_kfmclient'";%g' src/c2b/cb2bib_parameters.h > tmp.par
else
sed 's%C2B_FM_CLIENT_MOVE_BIN = "kfmclient".*$%C2B_FM_CLIENT_MOVE_BIN = "kfmclient";%g' src/c2b/cb2bib_parameters.h > tmp.par
fi
mv -f tmp.par src/c2b/cb2bib_parameters.h
if test "$f_pdftotext" != NO; then
sed 's%PDF2TXT_BIN = "pdftotext".*$%PDF2TXT_BIN = "'$f_pdftotext'";%g' src/c2b/cb2bib_parameters.h > tmp.par
else
sed 's%PDF2TXT_BIN = "pdftotext".*$%PDF2TXT_BIN = "pdftotext";%g' src/c2b/cb2bib_parameters.h > tmp.par
fi
mv -f tmp.par src/c2b/cb2bib_parameters.h
if test "$f_exiftool" != NO; then
sed 's%C2B_METADATAPARSER_EXIFTOOL_BIN = "exiftool".*$%C2B_METADATAPARSER_EXIFTOOL_BIN = "'$f_exiftool'";%g' src/c2b/cb2bib_parameters.h > tmp.par
else
sed 's%C2B_METADATAPARSER_EXIFTOOL_BIN = "exiftool".*$%C2B_METADATAPARSER_EXIFTOOL_BIN = "exiftool";%g' src/c2b/cb2bib_parameters.h > tmp.par
fi
sed 's%^const QString C2B_DATA_DIR.*$%const QString C2B_DATA_DIR("'$f_datadir'/");%g' src/c2b/cb2bib_parameters.h > tmp.par
mv -f tmp.par src/c2b/cb2bib_parameters.h
if test "$platform" = Darwin; then
......@@ -341,5 +263,13 @@ if test "$f_make" = NO; then
echo "Configuration ended. 'make' not found."
echo "Build toolchain might not be completed."
else
echo "-----------------------------------------------------------------------"
echo "Configuration ended. Type 'make' and 'make install'."
echo "-----------------------------------------------------------------------"
echo "- NOTE: 'make install' will copy the required runtime files to the"
echo " specified locations. Besides cb2bib binary, 'make install' will copy"
echo " the scripts c2bimport and c2bciter, and will set their executable"
echo " permissions. Also, it will set cb2bib, c2bimport, and c2bciter"
echo " desktop files."
echo "-----------------------------------------------------------------------"
fi
......@@ -42,13 +42,13 @@ ACR|Ann. Chim. (Rome)|Annali di Chimica
ACS|Acta Chem. Scand.|Acta Chemica Scandinavica
ACS|Acta Chim. Sinica|Acta Chimica Sinica
ACS|Adv. Chem. Ser.|Advances in Chemistry Series
ACSAFC|Acta Crystallogr., Sect. A: Found. Crystallogr.|Acta Crystallographica Section A: Foundations
ACAFC|Acta Crystallogr. A Found. Crystallogr.|Acta Crystallographica Section A: Foundations of Crystallography
ACSAMI|ACS Appl. Mater. Interfaces|ACS Applied Materials and Interfaces
ACSB|Am. Ceram. Soc. Bull.|American Ceramic Society Bulletin
ACSBSS|Acta Crystallogr., Sect. B: Struct. Sci|Acta Crystallographica Section B: Structural Science
ACSCCSC|Acta Crystallogr., Sect. C: Cryst. Struct. Commun.|Acta Crystallographica Section C: Crystal Structure Communications
ACSDBC|Acta Crystallogr., Sect D: Biol. Crystallogr.|Acta Crystallographica Section D: Biological Crystallography
ACSESRO|Acta Crystallogr. Sect. E: Struct. Rep. Online|Acta Crystallographica Section E Structure Reports Online
ACBSS|Acta Crystallogr. B|Acta Crystallographica Section B: Structural Science
ACCCSC|Acta Crystallogr. C Cryst. Struct. Commun.|Acta Crystallographica Section C: Crystal Structure Communications
ACDBC|Acta Crystallogr. D Biol. Crystallogr.|Acta Crystallographica Section D: Biological Crystallography
ACSESRO|Acta Crystallogr. Sect. E: Struct. Rep. Online|Acta Crystallographica Section E: Structure Reports Online
ACSM|Ann. Chim. - Sci. Mat.|Annales de Chimie - Science des Materiaux
ACSSS|ACS Symp. Ser.|ACS Symposium Series
ADNDT|At. Data Nucl. Data Tables|Atomic Data and Nuclear Data Tables
......@@ -313,6 +313,7 @@ COCB|Curr. Opin. Chem. Biol.|Current Opinion in Chemical Biology
COC|Curr. Org. Chem.|Current Organic Chemistry
COCIS|Curr. Opin. Colloid Interface Sci.|Current Opinion in Colloid and Interface Science
COP|Curr. Opin. Pharmacol.|Current Opinion in Pharmacology
COSB|Curr. Opin. Struct. Biol.|Current Opinion in Structural Biology
COSSMS|Curr. Opin. Solid State Mater. Sci.|Current Opinion in Solid State and Materials Science
CPA|Composites Part A|Composites Part A Applied Science and Manufacturing
CPB|Cell. Physiol. Biochem.|Cellular Physiology and Biochemistry
......@@ -1130,7 +1131,8 @@ PM|Prot. Met|Protection of Metals
PMR|Platinum Met. Rev.|Platinum Metals Review
PMSE|Polym. Mater. Sci. Eng.|Polymeric Materials Science and Engineering
PMS|Prog. Mater Sci.|Progress in Materials Science
PNAS|Proc. Natl. Acad. Sci. USA|Proceedings of the National Academy of Sciences of the United States of America
PNASUSA|Proc. Natl. Acad. Sci. USA|Proceedings of the National Academy of Sciences of the United States of America
PNAS|Proc. Natl. Acad. Sci. USA|Proceedings of the National Academy of Sciences
PNB|Polym. Networks Blends|Polymer Networks and Blends
PNMRS|Prog. Nucl. Magn. Reson. Spectrosc.|Progress in Nuclear Magnetic Resonance Spectroscopy
POC|Prog. Org. Coat.|Progress in Organic Coatings
......
......@@ -195,23 +195,11 @@ action=
journal=
query=http://www.ncbi.nlm.nih.gov/sites/entrez?orig_db=PubMed&db=PubMed&cmd=Search&term=<<doi>>[doi]
capture_from_query=\bPMID: (\d+)\D
referenceurl_prefix=http://www.ncbi.nlm.nih.gov/sites/entrez?cmd=Retrieve&db=pubmed&dopt=MEDLINE&list_uids=
referenceurl_sufix=
referenceurl_prefix=http://www.ncbi.nlm.nih.gov/pubmed/
referenceurl_sufix=?report=xml&format=text
pdfurl_prefix=
pdfurl_sufix=
action=
# QUERY INFO FOR PubMed
# Exemple using HTML to text conversion
# Requests XML PubMed, use med2bib to convert
#journal=
#query=http://www.ncbi.nlm.nih.gov/sites/entrez?orig_db=PubMed&db=PubMed&cmd=Search&term=<<doi>>[doi]
#capture_from_query=\bPMID: (\d+)\D
#referenceurl_prefix=http://www.ncbi.nlm.nih.gov/pubmed/
#referenceurl_sufix=?report=xml&format=text
#pdfurl_prefix=
#pdfurl_sufix=
#action=htm2txt_referenceurl
action=htm2txt_referenceurl
# QUERY INFO FOR PROLA
# Extracts BibTeX reference
......@@ -241,11 +229,11 @@ journal=Proteins: Structure, Function, and Bioinformatics|Proteins
journal=Proteins: Structure, Function, and Genetics|Proteins
query=http://www.ncbi.nlm.nih.gov/sites/entrez?orig_db=PubMed&db=PubMed&cmd=Search&term=<<journal>>[Jour]+AND+<<volume>>[volume]+AND+<<pages>>[page]
capture_from_query=\bPMID: (\d+)\D
referenceurl_prefix=http://www.ncbi.nlm.nih.gov/sites/entrez?cmd=Retrieve&db=pubmed&dopt=MEDLINE&list_uids=
referenceurl_sufix=
referenceurl_prefix=http://www.ncbi.nlm.nih.gov/pubmed/
referenceurl_sufix=?report=xml&format=text
pdfurl_prefix=
pdfurl_sufix=
action=
action=htm2txt_referenceurl
# QUERY INFO FOR PubMed
# Extracts Medline reference
......@@ -253,11 +241,11 @@ action=
journal=
query=http://www.ncbi.nlm.nih.gov/sites/entrez?orig_db=PubMed&db=PubMed&cmd=Search&term=<<journal>>[Jour]+AND+<<volume>>[volume]+AND+<<pages>>[page]
capture_from_query=\bPMID: (\d+)\D
referenceurl_prefix=http://www.ncbi.nlm.nih.gov/sites/entrez?cmd=Retrieve&db=pubmed&dopt=MEDLINE&list_uids=
referenceurl_sufix=
referenceurl_prefix=http://www.ncbi.nlm.nih.gov/pubmed/
referenceurl_sufix=?report=xml&format=text
pdfurl_prefix=
pdfurl_sufix=
action=
action=htm2txt_referenceurl
# QUERY INFO FOR ACS
# BibTeX references are available... but they contain HTML encoding for non-ascii characters.
......@@ -364,11 +352,11 @@ action=browse_referenceurl
journal=
query=http://www.ncbi.nlm.nih.gov/sites/entrez?orig_db=PubMed&db=pubmed&cmd=Search&TransSchema=title&term=<<title>>
capture_from_query=\bPMID: (\d+)\D
referenceurl_prefix=http://www.ncbi.nlm.nih.gov/sites/entrez?cmd=Retrieve&db=pubmed&dopt=MEDLINE&list_uids=
referenceurl_sufix=
referenceurl_prefix=http://www.ncbi.nlm.nih.gov/pubmed/
referenceurl_sufix=?report=xml&format=text
pdfurl_prefix=
pdfurl_sufix=
action=
action=htm2txt_referenceurl
# QUERY INFO FOR Google Scholar
# Uses <<excerpt>> tag
......